Creates a new skill
Request Information
URI Parameters :
None.
Body Parameters :
skill| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the skill |
string |
Required Max length: 255 |
| description |
Description of the skill |
string |
Max length: 4000 |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating skill |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating skill |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "62ebc6e7-98e7-4b1f-a66a-912f5e701434",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "e3840e43-65a0-45d9-91bf-9502aa571312",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "9a992dc3-dc4b-4977-9ad2-018b5fec5f8b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "7df4d4b8-be1a-46eb-8631-082380a7ea5a",
"db_currency_id": "fec31a06-9ec5-4d0e-9ca0-0234c104578a",
"db_language_id": "70789ae1-050c-4469-8763-40159445e2fc",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-28T21:48:18.1192054+00:00"
},
"modified_dateutc": "2026-10-28T21:48:18.1192054+00:00"
}
Response Information
Resource Description :
IHttpActionResult
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.